Bug 36678 - VNC access icon half hidden
VNC access icon half hidden
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Virtual machines (UVMM)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Johannes Keiser
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-14 09:23 CET by Jan Christoph Ebersbach
Modified: 2015-04-16 10:51 CEST (History)
6 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
VNC access icon half hidden (261.12 KB, image/png)
2014-11-14 09:23 CET, Jan Christoph Ebersbach
Details
Fix width of textbox (353 bytes, patch)
2015-02-25 11:05 CET, Erik Damrose
Details | Diff
Screenshot UVMM grid header (3.10 KB, image/png)
2015-04-07 14:14 CEST, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2014-11-14 09:23:55 CET
Created attachment 6371 [details]
VNC access icon half hidden

On Firefox 33.1 the VNC access icon is half hidden by a scrollbar.  It's not clear why there is a scrollbar in the first place because all VMs fit into the window.
Comment 1 Florian Best univentionstaff 2014-11-14 10:38:02 CET
Will be fixed when we convert to dgrid (Bug #32027)
Comment 2 Erik Damrose univentionstaff 2015-02-25 11:05:16 CET
Created attachment 6718 [details]
Fix width of textbox

In addition to this design fix, please change the width of the 'Query pattern' textbox to one, see patch
Comment 3 Florian Best univentionstaff 2015-03-17 12:37:02 CET
Johannes, can you have a look at this. It can be fixed with a workaround maybe by adding a invisible empty column at the very right, e.g.:
{
  name: 'spacer',
  label: '    ',
  width: 'adjust',
  formatter: function() { return ''; }
}
Comment 4 Alexander Kläser univentionstaff 2015-03-24 09:35:37 CET
The problem here is the width specification of the column:

{
  name: 'vnc',
  label: _('View'),
  width: 'adjust',
  ...
}

"adjust" means that the width is adjusted to the header label width. The English label "View" is too narrow, so the button is cut off. It would be easier to specify a fixed width, e.g., in em for all the columns which contain a button.
Comment 5 Johannes Keiser univentionstaff 2015-04-01 18:03:45 CEST
(In reply to Alexander Kläser from comment #4)
> The problem here is the width specification of the column:
> 
> {
>   name: 'vnc',
>   label: _('View'),
>   width: 'adjust',
>   ...
> }
> 
> "adjust" means that the width is adjusted to the header label width. The
> English label "View" is too narrow, so the button is cut off. It would be
> easier to specify a fixed width, e.g., in em for all the columns which
> contain a button.

Fixed:

r59551
univention-virtual-machine-manager-daemon (4.0.24-4):
Bug #36678:
* Fixed VNC acces beeing half hidden in firefox.

yaml: r59555
Comment 6 Alexander Kläser univentionstaff 2015-04-07 14:14:11 CEST
Created attachment 6809 [details]
Screenshot UVMM grid header

It looks better! A minor thing can be seen in the screenshot attached... in Chromium, the 50px are too narrow for the German word "Anzeigen".

Could you please adjust the debian changelog entry to the following (including some adjusted typos):

>  * Bug #36678: Fixed icon for VNC access to be fully visible in Firefox.
>  * Bug #38010: Fixed an endless loop for refreshing grid and tree view if
>    no connection is available.

Please adjust the YAML file entries, a suggestion from my side would be:

>  * A display error of the icon for VNC access in Firefox has been corrected 
>    in the UMC module.
>  * An error in the grid of the UMC module resulted in an endless refreshing
>    loop of the grid if no connection was available. This has been adjusted.

... please adapt this suggestion to your liking :) .
Comment 7 Johannes Keiser univentionstaff 2015-04-08 12:41:26 CEST
(In reply to Alexander Kläser from comment #6)
> Created attachment 6809 [details]
> Screenshot UVMM grid header
> 
> It looks better! A minor thing can be seen in the screenshot attached... in
> Chromium, the 50px are too narrow for the German word "Anzeigen".
> 
> Could you please adjust the debian changelog entry to the following
> (including some adjusted typos):
> 
> >  * Bug #36678: Fixed icon for VNC access to be fully visible in Firefox.
> >  * Bug #38010: Fixed an endless loop for refreshing grid and tree view if
> >    no connection is available.
> 
> Please adjust the YAML file entries, a suggestion from my side would be:
> 
> >  * A display error of the icon for VNC access in Firefox has been corrected 
> >    in the UMC module.
> >  * An error in the grid of the UMC module resulted in an endless refreshing
> >    loop of the grid if no connection was available. This has been adjusted.
> 
> ... please adapt this suggestion to your liking :) .

Adjusted:

r59620
* Bug #36678: adjusted the width of the 'vnc' column in the uvmm umc module

yaml: r59621
Comment 8 Alexander Kläser univentionstaff 2015-04-08 15:43:50 CEST
Changes: OK, look good.
YAML file: OK, looks good.

→ VERIFIED
Comment 9 Janek Walkenhorst univentionstaff 2015-04-16 10:51:39 CEST
<http://errata.univention.de/ucs/4.0/147.html>